> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a queue resource

> Delete a queue resource.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/queues.yml delete /texml/Accounts/{account_sid}/Queues/{queue_sid}
openapi: 3.1.0
info:
  title: Telnyx TeXML Queues API
  version: 2.0.0
  description: API for managing TeXML Queues.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Queues/{queue_sid}:
    delete:
      tags:
        - TeXML REST Commands
      summary: Delete a queue resource
      description: Delete a queue resource.
      operationId: DeleteTexmlQueue
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/QueueSid'
      responses:
        '204':
          description: The resource was deleted successfully.
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await client.texml.accounts.queues.delete('queue_sid', {
            account_sid: 'account_sid' });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.texml.accounts.queues.delete(
                queue_sid="queue_sid",
                account_sid="account_sid",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Texml.Accounts.Queues.Delete(\n\t\tcontext.TODO(),\n\t\t\"queue_sid\",\n\t\ttelnyx.TexmlAccountQueueDeleteParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.queues.QueueDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    QueueDeleteParams params = QueueDeleteParams.builder()
                        .accountSid("account_sid")
                        .queueSid("queue_sid")
                        .build();
                    client.texml().accounts().queues().delete(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result = telnyx.texml.accounts.queues.delete("queue_sid",
            account_sid: "account_sid")


            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client->texml->accounts->queues->delete(
                'queue_sid', accountSid: 'account_sid'
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml:accounts:queues delete \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --queue-sid queue_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    QueueSid:
      name: queue_sid
      in: path
      required: true
      description: The QueueSid that identifies the call queue.
      schema:
        type: string
  responses:
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````